Patchwork insane.bbclass: Remove copy and paste confusion when using OVERRIDES

login
register
mail settings
Submitter Richard Purdie
Date Oct. 2, 2012, 12:04 a.m.
Message ID <1349136286.15753.118.camel@ted>
Download mbox | patch
Permalink /patch/37573/
State New
Headers show

Comments

Richard Purdie - Oct. 2, 2012, 12:04 a.m.
People keep copying this code and its confusing and unnecessary. Remove the
bad examples to try and stop this happening.

Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
---

Patch

diff --git a/meta/classes/insane.bbclass b/meta/classes/insane.bbclass
index 17d887a..dddcd66 100644
--- a/meta/classes/insane.bbclass
+++ b/meta/classes/insane.bbclass
@@ -628,33 +628,20 @@  def package_qa_check_rdepends(pkg, pkgdest, skip, d):
 
     sane = True
     if not "-dbg" in pkg and not "packagegroup-" in pkg and not "-image" in pkg:
-        # Copied from package_ipk.bbclass
-        # boiler plate to update the data
         localdata = bb.data.createCopy(d)
-        root = "%s/%s" % (pkgdest, pkg)
-
-        localdata.setVar('ROOT', '') 
-        localdata.setVar('ROOT_%s' % pkg, root)
-        pkgname = localdata.getVar('PKG_%s' % pkg, True)
-        if not pkgname:
-            pkgname = pkg
-        localdata.setVar('PKG', pkgname)
-
         localdata.setVar('OVERRIDES', pkg)
-
         bb.data.update_data(localdata)
 
         # Now check the RDEPENDS
         rdepends = bb.utils.explode_deps(localdata.getVar('RDEPENDS', True) or "")
 
-
         # Now do the sanity check!!!
         for rdepend in rdepends:
             if "-dbg" in rdepend and "debug-deps" not in skip:
-                error_msg = "%s rdepends on %s" % (pkgname,rdepend)
+                error_msg = "%s rdepends on %s" % (pkg,rdepend)
                 sane = package_qa_handle_error("debug-deps", error_msg, d)
             if (not "-dev" in pkg and not "-staticdev" in pkg) and rdepend.endswith("-dev") and "dev-deps" not in skip:
-                error_msg = "%s rdepends on %s" % (pkgname, rdepend)
+                error_msg = "%s rdepends on %s" % (pkg, rdepend)
                 sane = package_qa_handle_error("dev-deps", error_msg, d)
 
     return sane
@@ -662,20 +649,8 @@  def package_qa_check_rdepends(pkg, pkgdest, skip, d):
 def package_qa_check_deps(pkg, pkgdest, skip, d):
     sane = True
 
-    # Copied from package_ipk.bbclass
-    # boiler plate to update the data
     localdata = bb.data.createCopy(d)
-    root = "%s/%s" % (pkgdest, pkg)
-
-    localdata.setVar('ROOT', '') 
-    localdata.setVar('ROOT_%s' % pkg, root)
-    pkgname = localdata.getVar('PKG_%s' % pkg, True)
-    if not pkgname:
-        pkgname = pkg
-    localdata.setVar('PKG', pkgname)
-
     localdata.setVar('OVERRIDES', pkg)
-
     bb.data.update_data(localdata)
 
     def check_valid_deps(var):
@@ -683,11 +658,11 @@  def package_qa_check_deps(pkg, pkgdest, skip, d):
         try:
             rvar = bb.utils.explode_dep_versions(localdata.getVar(var, True) or "")
         except ValueError as e:
-            bb.fatal("%s_%s: %s" % (var, pkgname, e))
+            bb.fatal("%s_%s: %s" % (var, pkg, e))
             raise e
         for dep in rvar:
             if rvar[dep] and not rvar[dep].startswith(('< ', '= ', '> ', '<= ', '>=')):
-                error_msg = "%s_%s is invalid: %s (%s)   only comparisons <, =, >, <=, and >= are allowed" % (var, pkgname, dep, rvar[dep])
+                error_msg = "%s_%s is invalid: %s (%s)   only comparisons <, =, >, <=, and >= are allowed" % (var, pkg, dep, rvar[dep])
                 sane = package_qa_handle_error("dep-cmp", error_msg, d)
         return sane